package com.microstrategy.topic1;

import java.io.*;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Base64;

public class ConvertToPDF {

    public static void bytesStringToPDF(String pdfDataInJson) throws IOException{
        // Get bytes, most important part
        byte[] bytes = Base64.getDecoder().decode(pdfDataInJson);
        // Write to file
        DataOutputStream os = new DataOutputStream(new FileOutputStream("output.pdf"));
        os.write(bytes);
        os.close();
    }
 
    public static void main(String[] args) throws IOException{

         String pdfDataForWholeDashboard = new String(Files.readAllBytes(Paths.get("pdfString.txt")));


        /**
         * Create PDF file from json in String
         */
        bytesStringToPDF(pdfDataForWholeDashboard);


    }
}